### Method

# WebKit2 WebsiteDataManager get_base_cache_directory

#### Declaration [src]

    const gchar*
    webkit_website_data_manager_get_base_cache_directory (
      WebKitWebsiteDataManager* manager
    )

#### Description [src]

Get the `WebKitWebsiteDataManager:base-cache-directory` property.

Available since: | 2.10

Gets property | `WebKit2.WebsiteDataManager:base-cache-directory`

#### Return value

Returns: | `const gchar*`
| The base directory for caches, or `NULL` if `WebKitWebsiteDataManager:base-cache-directory` was not provided or `manager` is ephemeral.
| The data is owned by the instance.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.